package Visual_DVM_2021.Passes.All;
import Common.Current_;
import _VisualDVM.Current;
import Common.Visual.Windows.Dialog.VFileChooser;
import _VisualDVM.Global;
import _VisualDVM.Utils;
import _VisualDVM.GlobalData.Settings.SettingName;
import Visual_DVM_2021.Passes.PassCode;
import Common.Passes.Pass;

import java.io.File;
import java.util.Vector;
public class CreateTestsFromFiles extends PublishTests {
    VFileChooser fileChooser = new VFileChooser("Выберите файлы для создания тестов");
    @Override
    protected PassCode getCreateTestCode() {
        return PassCode.CreateTestFromFile;
    }
    @Override
    protected String getNoFilesMessage() {
        return "ни одного файла";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (Global.mainModule.Check(Log, Current.Group)){
            Utils.RestoreSelectedDirectory(fileChooser);
            Vector<File> files = fileChooser.ShowMultiDialog();
            if (files.isEmpty()){
                Log.Writeln_("Не выбрано ни одного файла.");
                return false;
            }
            Global.mainModule.getPass(PassCode.UpdateSetting).Do(SettingName.ProjectsSearchDirectory, fileChooser.getCurrentDirectory());
            return super.canStart(files, Global.mainModule.getGroup());
        }
       return false;
    }
}
